Unknown entity type mediainfo
Closed, ResolvedPublic

Description

WikibaseMediaInfo seems to be breaking update.php on beta

https://integration.wikimedia.org/ci/job/beta-update-databases-eqiad/29313/console

[dea2810c1209218d6406488f] [no req]   InvalidArgumentException from line 59 of /srv/mediawiki-staging/php-master/vendor/wikibase/data-model-services/src/EntityId/EntityIdComposer.php: Unknown entity type mediainfo
Backtrace:
#0 /srv/mediawiki-staging/php-master/extensions/WikibaseMediaInfo/maintenance/Util/PagePropsUpdateGenerator.php(36): Wikibase\\DataModel\\Services\\EntityId\\EntityIdComposer->composeEntityId(string, string, string)
#1 /srv/mediawiki-staging/php-master/includes/utils/BatchRowUpdate.php(91): Wikibase\\MediaInfo\\Maintenance\\Util\\PagePropsUpdateGenerator->update(stdClass)
#2 /srv/mediawiki-staging/php-master/extensions/WikibaseMediaInfo/maintenance/CreatePageProps.php(75): BatchRowUpdate->execute()
#3 /srv/mediawiki-staging/php-master/maintenance/Maintenance.php(1698): Wikibase\\MediaInfo\\Maintenance\\CreatePageProps->doDBUpdates()
#4 /srv/mediawiki-staging/php-master/maintenance/update.php(215): LoggedUpdateMaintenance->execute()
#5 /srv/mediawiki-staging/php-master/maintenance/doMaintenance.php(94): UpdateMediaWiki->execute()
#6 /srv/mediawiki-staging/php-master/maintenance/update.php(248): include(string)
#7 /srv/mediawiki-staging/multiversion/MWScript.php(100): include(string)
#8 {main}
Reedy created this task.Oct 26 2018, 12:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2018, 12:23 PM
Reedy triaged this task as High priority.Oct 26 2018, 12:23 PM

If we need to unblock the beta build we can just stop loading the MediaInfo extension on beta for now.
I can look at this in more detail on monday.

Change 470140 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] BETA: wmgUseWikibaseMediaInfo false (again)

https://gerrit.wikimedia.org/r/470140

Change 470140 merged by jenkins-bot:
[operations/mediawiki-config@master] BETA: wmgUseWikibaseMediaInfo false (again)

https://gerrit.wikimedia.org/r/470140

Mentioned in SAL (#wikimedia-operations) [2018-10-27T08:24:45Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings-labs.php: BETA ONLY T208043 (duration: 01m 06s)

Change 470470 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseMediaInfo@master] Don't use WikibaseRepo for CreatePageProps EntityIdComposer

https://gerrit.wikimedia.org/r/470470

Change 470470 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Don't use WikibaseRepo for CreatePageProps EntityIdComposer

https://gerrit.wikimedia.org/r/470470

Mentioned in SAL (#wikimedia-releng) [2018-10-29T22:54:09Z] <James_F> Manually triggered a beta-update-databases-eqiad run to see if our fix for T208043 has worked.

Jdforrester-WMF closed this task as Resolved.Oct 29 2018, 10:57 PM
Jdforrester-WMF assigned this task to Addshore.
Restricted Application added a project: User-Addshore. · View Herald TranscriptOct 29 2018, 10:57 PM